#ifdef DYNAMIC_LIGHTS
	heldLightColor = calcHeldLightColor();
#endif

#ifdef CROSS_PROCESS
	vec3 blockCrossColor = mix(blocklightVibrantColorFar, blocklightVibrantColorNear, eyeBrightnessSmooth.x / 240.0); //cross processing color from block lights
	crossProcessColor = mix(ambientVibrantColor, blockCrossColor, lmcoord.x);
#endif